:root {
    --brand: #448922;
    --brand-hover: #5da030;
    --brand-danger: red;
    --brand-danger-hover: #f5051d;
    --brand-tab-background: #3F3F3D;
    --brand-tab-stripe: #2B2A28;
    --brand-dotted-border: #575654;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/*Start Dropdown Style*/
.e-ddl.e-input-group.e-control-wrapper .e-ddl-icon::before {
    content: '\e304';
}

.e-ddl .e-input-group-icon.e-ddl-icon.e-icons, .e-ddl .e-input-group-icon.e-ddl-icon.e-icons:hover {
    color: var(--brand) !important;
    font-size: 13px !important;
}

.e-ddl.e-input-group.e-control-wrapper.e-input-focus::before, .e-ddl.e-input-group.e-control-wrapper.e-input-focus::after {
    background: var(--brand) !important;
}

.e-outline.e-input-group.e-input-focus:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left), .e-outline.e-input-group.e-input-focus.e-control-wrapper:hover:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled):not(.e-float-icon-left), .e-outline.e-input-group.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled), .e-outline.e-input-group.e-control-wrapper.e-input-focus:not(.e-success):not(.e-warning):not(.e-error):not(.e-disabled) {
    border-color: var(--brand) !important;
    box-shadow: inset 1px 1px var(--brand), inset -1px 0 var(--brand), inset 0 -1px var(--brand) !important;
}

.e-dropdownbase .e-list-item.e-item-focus, .e-dropdownbase .e-list-item.e-active, .e-dropdownbase .e-list-item.e-active.e-hover, .e-dropdownbase .e-list-item.e-hover {
    background-color: var(--brand) !important;
    color: white !important;
}

span.e-lib.e-ddl.e-input-group.e-control-container.e-control-wrapper.e-outline.e-valid-input {
}
/*End Dropdown Style*/

/*Start Switch Style*/

.e-switch-wrapper .e-switch-inner.e-switch-active,
.e-switch-wrapper .e-switch-inner.e-switch-active .e-switch-on {
    background-color: var(--brand) !important;
    border-color: var(--brand) !important;
    font-weight: bolder;
}

.e-switch-wrapper:hover .e-switch-inner.e-switch-active .e-switch-on {
    background-color: var(--brand) !important;
    border-color: var(--brand) !important;
}

.e-switch-wrapper:hover .e-switch-inner.e-switch-active {
    background-color: var(--brand) !important;
    border-color: var(--brand) !important;
}

.e-switch-wrapper .e-switch-on {
    background-color: transparent !important;
}

.e-switch-wrapper.e-wrapper.e-custom {
    width: 70px;
}

span.e-switch-off {
    color: red !important;
    font-weight: bolder;
}

/*End Switch Style*/

/*Start Date Picker Style*/
.e-input-group .e-input-group-icon:last-child, .e-input-group.e-control-wrapper .e-input-group-icon:last-child {
    font-size: 12px;
    background-color: white;
    color: var(--brand);
    font-weight: bolder;
}

    .e-input-group .e-input-group-icon:last-child:hover, .e-input-group.e-control-wrapper .e-input-group-icon:last-child:hover,
    .e-input-group .e-input-group-icon:last-child .e-active, .e-input-group.e-control-wrapper .e-input-group-icon:last-child .e-active {
        background-color: var(--brand) !important;
        color: white !important;
    }

.e-input-group-icon.e-date-icon.e-icons.e-active {
    background-color: var(--brand) !important;
    color: white !important;
}

.e-calendar .e-content td.e-selected span.e-day, .e-bigger.e-small .e-calendar .e-content td.e-selected span.e-day {
    background-color: var(--brand) !important;
}

.e-calendar .e-content td:hover span.e-day, .e-calendar .e-content td:focus span.e-day, .e-bigger.e-small .e-calendar .e-content td:hover span.e-day, .e-bigger.e-small .e-calendar .e-content td:focus span.e-day {
    background-color: var(--brand) !important;
    border: 2px solid !important;
    color: white !important;
}

.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
    color: var(--brand) !important;
    font-size: 20px;
}

.e-calendar .e-header span, .e-bigger.e-small .e-calendar .e-header span {
    border: 1px var(--brand) !important;
    color: var(--brand) !important;
}

.e-calendar .e-content td.e-today span.e-day, .e-calendar .e-content td.e-focused-date.e-today span.e-day, .e-bigger.e-small .e-calendar .e-content td.e-today span.e-day, .e-bigger.e-small .e-calendar .e-content td.e-focused-date.e-today span.e-day {
    box-shadow: inset 2px 0 var(--brand), inset 0 2px var(--brand), inset -2px 0 var(--brand), inset 0 -2px var(--brand) !important;
    color: var(--brand);
}

.e-calendar .e-header span:hover, .e-bigger.e-small .e-calendar .e-header span:hover {
    background-color: var(--brand) !important;
    color: white !important;
}

.e-calendar .e-btn.e-today.e-flat.e-primary, .e-calendar .e-css.e-btn.e-today.e-flat.e-primary {
    background-color: var(--brand) !important;
    border-color: white !important;
    color: white !important;
}

.e-calendar .e-content td.e-selected.e-focused-date span.e-day {
    background-color: var(--brand) !important;
    color: #fff;
    border-color: white !important;
}
/*End Date Picker Style */